Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#1275 closed (invalid)

Sliver operations do not generate OESS circuit notification for longer project name

Reported by: lnevers@bbn.com Owned by: luke@grnoc.iu.edu
Priority: major Milestone:
Component: STITCHING Version: SPIRAL6
Keywords: GENI Network Stitching Cc:
Dependencies:

Description

Sliver operations with longer project names do not generate OESS email notifications even though the slivers are created/deleted and changes are shown in the OESS web ui.

Project names that generate OESS circuit email notifications: ln-test, ln_test, Luisa_Nevers-Test.

Project names that do not generate OESS circuit email notifications: Luisa_Nevers-Test-Proj_01, Luisa_Nevers-Test-Proj-01

Change History (2)

comment:1 Changed 5 years ago by lnevers@bbn.com

Resolution: invalid
Status: newclosed

It turns out that this problem is due to company imposing a limit on email subject length.

Scott Chevalier from the Internet2 Network Operations Center sent the following:

On 7/22/14, 12:59 PM, Internet2 Network Operations Center wrote:
> Greetings,
>
> The I2 NOC has been receiving undelivered messages (see forwarded
> examples below) since at least 7/21. These notifications have been
> increasing in frequency throughout the day today.
>
> I have spoken briefly with our internal systems team and it is
> believed that something may've been modified on your end which is
> causing mails with subjects longer than 170 characters to be rejected.
>
> Can you please review and advise.
>
> Thank You,
> Scott Chevalier
> The Internet2 Network Operations Center
> Indiana University
> noc@net.internet2.edu, 317-278-6622
>
>
> ---------- Forwarded Message ----------
> Date: Tuesday, July 22, 2014 2:41 PM +0000
> From: Mail Delivery System <MAILER-DAEMON@mail1-new.grnoc.iu.edu>
> To: noc@net.internet2.edu
> Subject: Undelivered Mail Returned to Sender
>
> This is the mail system at host mail1-new.grnoc.iu.edu.
>
> I'm sorry to have to inform you that your message could not
> be delivered to one or more recipients. It's attached below.
>
> For further assistance, please send mail to postmaster.
>
> If you do so, please include this problem report. You can
> delete your own text from the attached returned message.
>
>                   The mail system
>
> <chaos@bbn.com>: host bos-mailin2.raytheon.com[199.46.198.206] said:
> 550 5.7.1     Subject length of 176 exceeds 170, please shorten the
> Subject value and     resend the message. (in reply to end of DATA
> command)
>
> <hdempsey@bbn.com>: host bos-mailin2.raytheon.com[199.46.198.206] said:
> 550     5.7.1 Subject length of 176 exceeds 170, please shorten the
> Subject value     and resend the message. (in reply to end of DATA
> command)
>
> <jbs@bbn.com>: host bos-mailin2.raytheon.com[199.46.198.206] said: 550
> 5.7.1     Subject length of 176 exceeds 170, please shorten the Subject
> value and     resend the message. (in reply to end of DATA command)
>
> <lnevers@bbn.com>: host bos-mailin2.raytheon.com[199.46.198.206] said:
> 550     5.7.1 Subject length of 176 exceeds 170, please shorten the
> Subject value     and resend the message. (in reply to end of DATA
> command)
>
> <sblais@bbn.com>: host bos-mailin2.raytheon.com[199.46.198.206] said:
> 550 5.7.1     Subject length of 176 exceeds 170, please shorten the
> Subject value and     resend the message. (in reply to end of DATA
> command)
>
> <tupty@bbn.com>: host bos-mailin2.raytheon.com[199.46.198.206] said:
> 550 5.7.1     Subject length of 176 exceeds 170, please shorten the
> Subject value and     resend the message. (in reply to end of DATA
> command)
>
> ---------- End Forwarded Message ----------
>
>
> ---------- Forwarded Message ----------
> From: Mail Delivery System <MAILER-DAEMON@mail1-new.grnoc.iu.edu>
> To: noc@net.internet2.edu
> Subject: Undelivered Mail Returned to Sender
> Date-Sent: Tuesday, July 22, 2014 2:55 PM +0000
>
> Greetings workgroup GENI-FOAM,
>
> The circuit
> urn:publicid:IDN+ch.geni.net:Luisa_Nevers-Test-Proj_01+slice+lnoess9:823dec1f-ebb5-4a54-8614-e26cce679db2
> has been decommissioned by
>
>
>
> The details of the circuit are below:
>
> Circuit: I2-KANS-SUNN-VLAN-12487
> Created by: GENI FOAM at 07/22/2014 14:50:21 for workgroup GENI-FOAM
> Lasted Modified By: GENI FOAM at 07/22/2014 14:54:39
>
> Endpoints:
>  sdn-sw.kans.net.internet2.edu - e5/1 VLAN 1161
>  sdn-sw.sunn.net.internet2.edu - e5/1 VLAN 1644
>
> Primary Path:
>  I2-DENV-KANS-100GE-07746
>  I2-DENV-SALT-100GE-07747
>  I2-SALT-SUNN-100GE-07766
>
>
> Sincerely,
>
> AL2S Circuit Notifications
> ---------- End Forwarded Message ----------

I believe it is not possible to get this company policy modified. I will move testing back to the shorter project name to avoid these failure.

comment:2 Changed 5 years ago by lnevers@bbn.com

Luke is it possible to get chaos@bbn.com and Josh Smift removed from the GENI-FOAM workgroup. Both have left BBN.

Note: See TracTickets for help on using tickets.